> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /appbrain/apps/ranking

> Get the Google Play top-chart ranking for a list type, category and country

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/app-stores.json post /api/appbrain/apps/ranking
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/appbrain/apps/ranking:
    post:
      tags:
        - /appbrain
      summary: /appbrain/apps/ranking
      description: >-
        Get the Google Play top-chart ranking for a list type, category and
        country


        **Price:** 10 credits per 100 results
      operationId: __api_appbrain_apps_ranking_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppbrainAppsRankingPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppbrainRankingApp'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppbrainAppsRankingPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        list_type:
          $ref: '#/components/schemas/RankingListType'
          default: top_free
        category:
          $ref: '#/components/schemas/RankingCategory'
          default: all
        country:
          $ref: '#/components/schemas/RankingCountry'
          default: us
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    AppbrainRankingApp:
      properties:
        '@type':
          type: string
          default: AppbrainRankingApp
        rank:
          type: integer
        movement:
          anyOf:
            - type: integer
            - type: 'null'
        package_name:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        developer:
          anyOf:
            - type: string
            - type: 'null'
        developer_url:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        install_count:
          anyOf:
            - type: integer
            - type: 'null'
        recent_install_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        google_play_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - rank
        - package_name
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RankingListType:
      type: string
      enum:
        - top_free
        - top_paid
        - top_grossing
        - top_new_free
        - top_new_paid
    RankingCategory:
      type: string
      enum:
        - all
        - application
        - game
        - art_design
        - auto
        - beauty
        - books_reference
        - business
        - comics
        - communication
        - dating
        - education
        - entertainment
        - events
        - finance
        - food_drink
        - health_fitness
        - house_home
        - libraries_demo
        - lifestyle
        - transportation
        - medical
        - music_audio
        - news_magazines
        - parenting
        - personalization
        - photography
        - productivity
        - shopping
        - social
        - sports
        - tools
        - travel_local
        - media_video
        - weather
        - action
        - adventure
        - arcade
        - board
        - card
        - casino
        - casual
        - educational
        - music
        - puzzle
        - racing
        - role_playing
        - simulation
        - sports_games
        - strategy
        - trivia
        - word
    RankingCountry:
      type: string
      enum:
        - au
        - at
        - be
        - br
        - ca
        - cz
        - dk
        - fi
        - fr
        - de
        - in
        - id
        - ir
        - it
        - jp
        - mx
        - nl
        - 'no'
        - pl
        - pt
        - ru
        - sa
        - sk
        - kr
        - es
        - se
        - ch
        - tr
        - gb
        - us
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````